跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://docs.xpaylabs.com/llms.txt

Use this file to discover all available pages before exploring further.

返回您的网关上配置的支持的代币列表。网关管理员配置每条区块链上可用的代币。

请求

GET http://your-gateway:3010/v1/symbol/supportSymbols

查询参数

chain
string
按区块链网络过滤。
symbol
string
按代币符号过滤。

cURL

# 所有支持的代币
curl http://your-gateway:3010/v1/symbol/supportSymbols

# 按链过滤
curl "http://your-gateway:3010/v1/symbol/supportSymbols?chain=TRON"

# 按代币符号过滤
curl "http://your-gateway:3010/v1/symbol/supportSymbols?symbol=USDT"

响应

成功的请求返回 HTTP 200,带 R<List<SupportSymbol>> 信封。

SupportSymbol 对象

symbol
string
代币符号,例如 "USDT""USDC""ETH"
chain
string
区块链网络,例如 "TRON""ETH""BSC"
contractAddress
string | null
此链上的代币合约地址。原生代币为 null
decimals
integer
此代币的小数位数。例如,ERC20 USDT 为 6,TRC20 USDT 为 6

示例响应

{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "symbol": "USDT",
      "chain": "TRON",
      "contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
      "decimals": 6
    },
    {
      "symbol": "USDT",
      "chain": "ETH",
      "contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
      "decimals": 6
    },
    {
      "symbol": "USDC",
      "chain": "SUI",
      "contractAddress": null,
      "decimals": 6
    }
  ]
}
Last modified on May 31, 2026